Bug 145854 - keyboard won't work, i8042.c error at boot
Summary: keyboard won't work, i8042.c error at boot
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-22 15:54 UTC by Gerald Henriksen
Modified: 2015-01-04 22:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-06 04:31:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gerald Henriksen 2005-01-22 15:54:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Fedora Core 3 with kernel 2.6.9-1.667 works fine, but upgrading to
rawhide the rawhide kernels don't work.  At boot get "i8042.c: can't
read CTR while initializing i8042" error message and keyboard doesn't
work.

Machine is Dell Inspiron 5150 notebook, P4 with Hyperthreading.


Version-Release number of selected component (if applicable):
kernel-smp-2.6.10-1.1107_FC4

How reproducible:
Always

Steps to Reproduce:
1. boot with current rawhide kernel
2.
3.
    

Additional info:

Comment 1 Soslan Khubetosv 2005-02-23 13:22:50 UTC
Updating bios solve this problem for RHEL4 on SE7505VB2.
http://downloadfinder.intel.com/scripts-df/Detail_Desc.asp?agr=N&ProductID=918&DwnldID=6564

Soslan


Comment 2 Soslan Khubetosv 2005-02-23 16:02:21 UTC
BHW this update solve problem whith SMP on my dual xeon mb

I. Before update:
1. Mouse & kb dose't work with SMP kernel;
2. Instead 4 (HT) processors with SMP kernel sytem recognize only 2;
3. Some problem with sata_sil driver for SATALink + HITACHI SATA
(HDS722516VLSA80) devices:
# hdparm -tT /dev/sda
/dev/sda:
 Timing cached reads:   2288 MB in  2.00 seconds = 1142.46 MB/sec
HDIO_DRIVE_CMD(null) (wait for flush complete) failed: Inappropriate ioctl for
device
 Timing buffered disk reads:  176 MB in  3.02 seconds =  58.34 MB/sec
HDIO_DRIVE_CMD(null) (wait for flush complete) failed: Inappropriate ioctl for
device

# hdparm -i /dev/sda
/dev/sda:
 HDIO_GET_IDENTITY failed: Inappropriate ioctl for device

II. After bios update: Only 1 & 2 problems solved. Change SATA conroller
mode(swith beetwen base & raid mode) coul'd not help.
 
III. In RH9 all ok with old bios version & old driver(kernel module) sii6512.


Comment 3 Soslan Khubetosv 2005-02-25 01:39:50 UTC
Adding HDS722516VLSA80 in sata_sil.c blacklist (with quirk SIL_QUIRK_MOD15WRITE)
doesn't help... Only speed decreased to 28.34 MB/sec approximately...

Comment 4 Gerald Henriksen 2005-03-18 05:46:36 UTC
Problem went away with the 2.6.11 based kernels.


Note You need to log in before you can comment on or make changes to this bug.